var webpack=require("webpack");

module.exports={
    entry: {
        index:'./example/index'
    },
    output:{
        path:'./dist',
        publicPath:'/dist/',
        filename:'[name].min.js',
    },
    module:{
        rules:[
            {
                test:/\.js[x]?$/,
                loader:'babel',
                exclude:/node_modules/
            },
            {
                test:/\.vue$/,
                loader:'vue'
            }
        ]
    },
    resolve:{
        extensions:['','.js','.jsx'],
        alias:{
            'vue$':'vue/dist/vue.min.js'
        }
    },
    plugins:[
        new webpack.optimize.UglifyJsPlugin({
            compress:{
                warnings:false,
                drop_console:false
            },
            comments:false,
            minimize:false
        }),
        new webpack.DefinePlugin({
            'process.env':{
                NODE_ENV:'"production"'
            }
        })
    ]
}